.docMainContainer {
  display: flex;
  width: 100%;

  /* CUSTOM CODE */
  min-height: calc(100vh - 266px); /* 70 + 112 + 84 */
}

/* CUSTOM CODE */
@media screen and (width >= 576px) {
  .main-wrapper {
    min-height: calc(100vh - 154px); /* 70 + 84 */
  }
}

/* END OF CUSTOM CODE */

@media (width >= 997px) {
  .docMainContainer {
    flex-grow: 1;
    max-width: calc(100% - var(--doc-sidebar-width));
    padding: 4.25rem 0;

    /* CUSTOM CODE */
    min-height: calc(100vh - 162px); /* 84 + 78 */
  }

  .docMainContainerEnhanced {
    max-width: calc(100% - var(--doc-sidebar-hidden-width));
  }

  .docItemWrapperEnhanced {
    max-width: calc(
      var(--ifm-container-width) + var(--doc-sidebar-width)
    ) !important;
  }
}

/* CUSTOM CODE */

/* Doc item main content: min height -> to the bottom of the window */
.docItemWrapper > :global(.row) {
  min-height: 100%;
}

.docItemWrapper > :global(.row > .col:first-child) {
  min-height: 100%;
}

.docItemWrapper > :global(.row > .col:first-child > div) {
  display: flex;
  flex-direction: column;
  min-height: 100%;
}

.docItemWrapper > :global(.row > .col:first-child > div > article) {
  flex-grow: 1;
}

/* Doc item TOC: scroll */
.docItemWrapper > :global(.row > .col:last-child > div) {
  top: 1rem;
}
